> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 리스트 멤버 개요

> 리스트 멤버 엔드포인트 사용 시작하기

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

List members 엔드포인트를 사용하면 리스트의 멤버를 조회하고 리스트 멤버십을 관리할 수 있습니다.

<Note>
  **사전 준비 사항**

  시작하기 전에 다음이 필요합니다.

  * 승인된 App이 있는 [개발자 계정](https://developer.x.com/en/portal/petition/essential/basic-info)
  * App의 Bearer 토큰(조회용)
  * 사용자 액세스 토큰(멤버 관리용)
</Note>

***

<div id="available-endpoints">
  ## 사용 가능한 엔드포인트
</div>

<CardGroup cols={2}>
  <Card title="리스트 멤버 조회" icon="users" href="/ko/x-api/lists/list-members/quickstart/list-members-lookup">
    리스트 멤버 조회
  </Card>

  <Card title="리스트 멤버 관리" icon="user-plus" href="/ko/x-api/lists/list-members/quickstart/manage-list-members">
    멤버 추가 및 삭제
  </Card>
</CardGroup>

***

<div id="authentication">
  ## 인증
</div>

| 작업       | 인증                                       |
| :------- | :--------------------------------------- |
| 멤버 조회    | Bearer 토큰, OAuth 1.0a, 또는 OAuth 2.0 PKCE |
| 멤버 추가/제거 | OAuth 1.0a 또는 OAuth 2.0 PKCE             |

***

<div id="quick-example">
  ## 간단한 예제
</div>

<CodeGroup dropdown>
  ```bash cURL theme={null}
  # 리스트 멤버 조회
  curl "https://api.x.com/2/lists/84839422/members" \
    -H "Authorization: Bearer $BEARER_TOKEN"
  ```

  ```python Python SDK theme={null}
  from xdk import Client

  client = Client(bearer_token="YOUR_BEARER_TOKEN")

  # 리스트 멤버 조회
  for page in client.lists.get_members("84839422"):
      for user in page.data:
          print(f"{user.username}")
  ```

  ```javascript JavaScript SDK theme={null}
  import { Client } from "@xdevplatform/xdk";

  const client = new Client({ bearerToken: "YOUR_BEARER_TOKEN" });

  // 리스트 멤버 조회
  const paginator = client.lists.getMembers("84839422");

  for await (const page of paginator) {
    page.data?.forEach((user) => {
      console.log(user.username);
    });
  }
  ```
</CodeGroup>

***

<div id="next-steps">
  ## 다음 단계
</div>

<CardGroup cols={2}>
  <Card title="리스트 조회" icon="list" href="/ko/x-api/lists/list-lookup/quickstart">
    리스트 상세 정보 가져오기
  </Card>

  <Card title="리스트 포스트" icon="message" href="/ko/x-api/lists/list-tweets/quickstart">
    리스트에서 포스트 가져오기
  </Card>
</CardGroup>
